Get a list of institutions
1 min
institutions
Get institution for your end-user(debtor).
GET
https://api-sandbox.klavi.ai/payment/customer/v1/institutions
Path Parameters
- paymentMethodstringDescription
Header Parameters
- AuthorizationstringrequiredDescription
Response
- idstringDescription
- namestringDescription
- avatarstringDescription
- descriptionstringDescription
- businessTypestringDescription
- paymentMethodConfigarrayDescription
- outagebooleanDescription
- outageReasonstringDescription
- parentOrganizationNamestringDescription
- parentOrganizationIdstringDescription
- organizationNamestringDescription
- organizationIdstringDescription
- isBetabooleanDescription
curl
curl --location 'https://api-sandbox.klavi.ai/payment/customer/v1/institutions' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api-sandbox.klavi.ai/payment/customer/v1/institutions',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api-sandbox.klavi.ai/payment/customer/v1/institutions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api-sandbox.klavi.ai/payment/customer/v1/institutions"
payload = {}
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api-sandbox.klavi.ai/payment/customer/v1/institutions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
response = https.request(request)
puts response.read_body
200
[
{
"id": "81bada34-a509-43d6-9ac3-23f95b066411",
"name": "Mock bank 1",
"avatar": "https://example.server.com/mockbank1.svg",
"description": "Mock Sandbox 1",
"businessType": "PJ",
"paymentMethodConfig":
[
{
"paymentMethod": "AUTOMATIC_PIX",
"outage": false,
"outageReason": "it is outage"
},
{
"paymentMethod": "INSTANT_PIX",
"outage": false,
"outageReason": "it is outage"
},
{
"paymentMethod": "SMART_PIX",
"outage": false,
"outageReason": "it is outage"
},
],
'parentOrganizationName': 'TestTest001',
'parentOrganizationId': '1234124',
'organizationName': 'test001',
'organizationId': '56789',
'isBeta': false
},
{
"id": "81bada34-a509-43d6-9ac3-23f95b066411",
"name": "Mock bank 2",
"avatar": "https://example.server.com/mockbank2.svg",
"description": "Mock Sandbox 2",
"businessType": "PJ",
"paymentMethodConfig":
[
{
"paymentMethod": "AUTOMATIC_PIX",
"outage": false,
"outageReason": "it is outage"
},
{
"paymentMethod": "INSTANT_PIX",
"outage": false,
"outageReason": "it is outage"
},
{
"paymentMethod": "SMART_PIX",
"outage": false,
"outageReason": "it is outage"
}
],
'parentOrganizationName': 'TestTest001',
'parentOrganizationId': '1234124',
'organizationName': 'test001',
'organizationId': '56789',
'isBeta': true
}
]